DELETE /api/workflows

Spaces method and path for this operation:

delete /s/{space_id}/api/workflows

Refer to Spaces for more information.

Delete multiple workflows by their IDs.

[Required authorization] Route required privileges: workflowsManagement:delete.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Query parameters

  • force boolean

    When true, permanently deletes the workflows (hard delete) instead of soft-deleting them. The workflow IDs become available for reuse.

    Default value is false.

application/json

Body

  • ids array[string] Required

    Array of workflow IDs to delete.

    Not more than 1000 elements.

Responses

  • 200 application/json

    Indicates a successful response

DELETE /api/workflows
curl \
  -X DELETE "${KIBANA_URL}/api/workflows" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
    "ids": ["workflow-c3d4e5f6-a7b8-9012-cdef-234567890123", "workflow-d4e5f6a7-b8c9-0123-defa-345678901234"]
  }'
curl \
  -X DELETE "${KIBANA_URL}/api/workflows?force=true" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
    "ids": ["workflow-c3d4e5f6-a7b8-9012-cdef-234567890123", "workflow-d4e5f6a7-b8c9-0123-defa-345678901234"]
  }'
DELETE kbn://api/workflows
{
  "ids": ["workflow-c3d4e5f6-a7b8-9012-cdef-234567890123", "workflow-d4e5f6a7-b8c9-0123-defa-345678901234"]
}
Request example
Example request for deleting multiple workflows
{
  "ids": [
    "workflow-c3d4e5f6-a7b8-9012-cdef-234567890123",
    "workflow-d4e5f6a7-b8c9-0123-defa-345678901234"
  ]
}
Response examples (200)
Example response after deleting multiple workflows
{
  "total": 2,
  "deleted": 2,
  "failures": []
}